Condividi tramite


Delete Chat Thread - Delete Chat Thread

Elimina un thread.

DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2

Parametri dell'URI

Nome In Necessario Tipo Descrizione
chatThreadId
path True

string

ID thread da eliminare.

endpoint
path True

string

Endpoint della risorsa di comunicazione di Azure.

api-version
query True

string

Versione dell'API da richiamare.

Intestazione della richiesta

Nome Necessario Tipo Descrizione
Authorization True

string

Un token di accesso utente ACS (Servizi di comunicazione di Azure).

Risposte

Nome Tipo Descrizione
204 No Content

Richiesta riuscita.

401 Unauthorized

Error

Non autorizzato

403 Forbidden

Error

Vietato

429 Too Many Requests

Error

Troppe richieste

Other Status Codes

Error

Servizio non disponibile

Sicurezza

Authorization

Un token di accesso utente ACS (Servizi di comunicazione di Azure).

Tipo: apiKey
In: header

Esempio

Delete chat thread

Esempio di richiesta

DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2

Risposta di esempio

{
  "code": "Unauthorized",
  "message": "Request is not authorized."
}
{
  "code": "Forbidden",
  "message": "User is not allowed to perform specified action."
}
{
  "code": "TooManyRequests",
  "message": "Rate limit exceeded."
}
{
  "code": "ServiceUnavailable",
  "message": "The server is currently unable to handle the request."
}

Definizioni

Error

Nome Tipo Descrizione
code

string

innerErrors

Error[]

message

string

target

string